{{debug "this:" this}}

<form class="{{cssClass}}" autocomplete="off">

  {{!-- Sheet Header --}}
  <header class="sheet-header">
    <img class="portrait" src="{{item.img}}" data-edit="img" title="{{item.name}}" />
    <input name="name" type="text" value="{{item.name}}" placeholder="{{localize " local.item.name"}}" />
  </header>
  <hr>

  {{!-- Sheet Body --}}
  <section class="sheet-body">

    {{#unless item.system.once}}
    <div class="flexrow">
      <input type="checkbox" name="system.temporary" {{checked item.system.temporary}} data-dtype="Boolean" />
      <label class="resource-label">{{localize "local.item.temporary"}}</label>
    </div>
    {{/unless}}
    {{#unless item.system.temporary}}
    <div class="flexrow">
      <input type="checkbox" name="system.once" {{checked item.system.once}} data-dtype="Boolean" />
      <label class="resource-label">{{localize "local.item.once"}}</label>
    </div>
    {{/unless}}
    <hr>

    {{!-- iterating through the modifier entries --}}
    {{#each item.system.entries as |entry e|}}
    <div class="varentry" data-id="{{@index}}">
      <input class="value" type="hidden" name="system.entries.{{e}}.value" value="{{entry.value}}" data-dtype="Number" />
      <input class="formula" type="text" name="system.entries.{{e}}.formula" value="{{entry.formula}}" data-dtype="String" />
      <input class="labels" type="text" name="system.entries.{{e}}.label" value="{{entry.label}}" data-dtype="String" />
      {{#if (eq @index 0)}}
      <a class="varentry-create"><i class="fas fa-plus"></i></a>
      <span></span>
      <span></span>
      {{else}}
      <a class="varentry-delete"><i class="fas fa-trash"></i></a>
      <a class="varentry-clone"><i class="fas fa-clone"></i></a>
      <a class="varentry-drag draggable" data-item-id="{{../this.item.id}}" data-index="{{@index}}" data-type="varentry" data-value="{{entry.value}}" data-formula="{{entry.formula}}" data-label="{{entry.label}}"><i class="fas fa-anchor"></i></a>
      {{/if}}
    </div>
    {{#if (eq @index 0)}}
    <div class="varentry">
      <label class="resource-label">{{localize "local.item.formula"}}</label>
      <label class="resource-label">{{localize "local.item.label"}}</label>
      <span></span>
      <span></span>
      <span></span>
    </div>
    <hr>
    {{/if}}
    {{/each}}
    <div class="flexrow">
      <label class="resource-label">Group</label>
      <input type="text" name="system.group" value="{{item.system.group}}" data-dtype="String" />
    </div>
    {{> "systems/hnh/templates/partials/notes.hbs" data=data}}
  </section>
</form>
